=== debian/changelog ===
autopath-xv (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1128072)

 -- Reihan Wiratama <wiratamareyhan85@gmail.com>  Wed, 18 Feb 2026 11:30:00 +0000
