=== debian/control ===
Source: autopath-xv
Section: net
Priority: optional
Maintainer: Reihan Wiratama <wiratamareyhan85@gmail.com>
Build-Depends: debhelper-compat (= 13), libsnmp-dev, pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/reyhank45/autopath-xv
Vcs-Git: https://github.com/reyhank45/autopath-xv.git
Vcs-Browser: https://github.com/reyhank45/autopath-xv

Package: autopath-xv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Description: Advanced network path discovery and diagnostic tool
 autopath-xv is a high-performance network traceroute utility designed 
 for sub-second path discovery. It bridges the gap between Layer 3 
 routing and Layer 2 link-layer analysis, supporting:
 .
  * Sub-600ms network-latency-bound execution.
  * Intelligent Path Auditing (Shotgun interface discovery).
  * Layer 2 MAC address resolution per hop.
  * Professional path breakdown and routing loop diagnostics.
  * Advanced Smart Mode for router ARP table analysis.
 Layer 3 traceroute with Layer 2 MAC-level path tracing.
 .
 Features:
  - Traditional ICMP-based traceroute functionality
  - Layer 2 MAC address resolution via ARP
  - Smart mode for querying router ARP tables
  - Broadcast ARP support
  - Debug mode for detailed packet analysis
  - Detection of invalid and missing routes
 .
 The tool requires either root privileges or CAP_NET_RAW capability.
